Bug 98833 - Bad HTTP version in request if decimal_point!="." in LC_NUMERIC
Bad HTTP version in request if decimal_point!="." in LC_NUMERIC
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: libghttp (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-09 08:17 EDT by Volodymyr M. Lisivka
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 08:19:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Volodymyr M. Lisivka 2003-07-09 08:17:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030426

Description of problem:
ghttp sends wrong request when decimal_point in LC_NUMERIC not set to '.'.
Example, if decimal_point="," , it sends "HTTP/_1,1_" in request.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

Go to /usr/share/i18n/locales/

cd /usr/share/i18n/locales/

Create copy of en_US locale

cp en_US en_US@comma

Edit en_US and change value of "decimal_point" to ",".

perl -pi -e 's/^decimal_point .*$/decimal_point ","/' en_US@comma

Generate new locale

localedef -c -i ./en_US@comma -f ISO8859-1 en_US@comma

Verify settings:

[lvm@lisa lvm]$ LC_ALL=en_US@comma printf "%1.1f\n" 1
1,0
[lvm@lisa lvm]$ LC_ALL=en_US@comma locale -ck decimal_point
LC_NUMERIC
decimal_point=","

Run any test program for libghttp to apache on localhost and see logs:



Actual Results:  
192.168.200.2 - - [07/Jul/2003:14:47:01 +0300] "GET
/~lvm/cgi-bin/testprj/testserver.cgi?action=view&table=person HTTP/1,1" 400 299



Expected Results:  
192.168.200.2 - - [07/Jul/2003:14:47:01 +0300] "GET
/~lvm/cgi-bin/testprj/testserver.cgi?action=view&table=person HTTP/1.1" 200 299
Comment 1 Bill Nottingham 2006-08-04 23:06:12 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 2 Volodymyr M. Lisivka 2006-08-07 08:19:23 EDT
I (Volodymyr M. Lisivka) cannot reproduce this bug with recent version libgttp
(tested on FC4).

Note You need to log in before you can comment on or make changes to this bug.